Results 1 to 2 of 2

Thread: Problem with Metasploit Ruby Language

Hybrid View

  1. #1
    Just burned his ISO
    Join Date
    Oct 2010
    Posts
    1

    Post Problem with Metasploit Ruby Language

    I am not really familiar with ruby programming language neither a professional in metasploit, I really need to understand how this exploit ms01_033_idq.rb works.
    what I don't get is target.ret[-4, 4] and rand_text_alphanumeric(1). I wonder if you could help me figure out what these commands are and what they actually do.

    Thanks in advance
    Immagini allegate Immagini allegate

  2. #2
    Good friend of the forums espreto's Avatar
    Join Date
    Mar 2010
    Location
    Brazil
    Posts
    303

    Default Re: Problem with Metasploit Ruby Language

    Here not is support for metasploit.

    For more information, see.

    Metasploit Unleashed - Mastering the Framework

    And join the irc channel.

    #metasploit

    Regards,
    (gdb) disass m(y_br)ain

    ®

Similar Threads

  1. Goorecon and ruby
    By surj08 in forum BackTrack Bugs
    Replies: 2
    Last Post: 02-06-2010, 05:58 AM
  2. Learning ruby... My first ruby backdoor...
    By BigMac in forum OLD Programming
    Replies: 9
    Last Post: 06-03-2009, 11:32 PM
  3. Screwed up metasploit / ruby
    By hawaii67 in forum OLD Programming
    Replies: 10
    Last Post: 09-05-2008, 11:27 AM
  4. Metasploit Auto-Exploitation (ruby postgres plugin)
    By tothakosh in forum OLD Newbie Area
    Replies: 1
    Last Post: 10-15-2007, 03:45 PM
  5. Metasploit Exploits written in C it needs Ruby
    By andy1 in forum OLD Newbie Area
    Replies: 7
    Last Post: 04-08-2007, 11:50 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •